---
title: "Development Environment"
---

## Development within singularity 

The following helper runs bash inside `eic_container`
```bash
module load eic_container
container_dev
```

For projects that you want to build but which are also inside of the container, you must make sure to set `$PATH` and `$LD_LIBRARY_PATH` to point to the development build's installation prefix first. Here we assume your development builds are being installed into `$HOME/stow/development`

A simple setup script will make sure
```bash
export $PATH=$HOME/stow/development/bin:$PATH
export $LD_LIBRARY_PATH=$HOME/stow/development/lib:$HOME/stow/development/lib64:$LD_LIBRARY_PATH
export $ROOT_INCLUDE_PATH=$HOME/stow/development/include:$ROOT_INCLUDE_PATH
```




